Page MenuHomeFreeBSD

audio/libgig: Update to 4.0.0; audio/linuxsampler: Update to 2.0.0; Bumped PORTREVISIONs of audio/gigedit, audio/qsampler
ClosedPublic

Authored by yuri on Nov 19 2017, 8:46 PM.

Details

Summary

audio/libgig: Update to 4.0.0 and downstream updates required by it.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

yuri created this revision.Nov 19 2017, 8:46 PM
tcberner added inline comments.Nov 19 2017, 8:50 PM
audio/libgig/Makefile
10 ↗(On Diff #35468)

^ how about giving it a home, while you're at it :D [if you are intersted in it ^^]

23 ↗(On Diff #35468)

^ sure about that?

yuri marked 2 inline comments as done.Nov 19 2017, 9:03 PM
yuri added inline comments.
audio/libgig/Makefile
10 ↗(On Diff #35468)

I'm not really interested in it, but will take it anyway. -)

23 ↗(On Diff #35468)

This is preserved from the past. I don't have a reliable way of testing this.

yuri updated this revision to Diff 35471.Nov 19 2017, 9:05 PM
yuri marked 2 inline comments as done.
  • Take maintainership.
  • Fixed USE_LDCONFIG
tcberner added inline comments.Nov 19 2017, 9:10 PM
audio/libgig/Makefile
10 ↗(On Diff #35468)

awesome =)

yuri marked 3 inline comments as done.Nov 19 2017, 9:14 PM
tcberner added inline comments.Nov 19 2017, 9:15 PM
audio/libgig/pkg-plist
26 ↗(On Diff #35471)

^ this bumps the so version number. Now you have the fun job of finding out which things use this port.

for example you can

awk -F '|' '/libgig/{print $2 }' INDEX-12

and then filter the output to direct dependencies.

or you can look at freshports.org: [1] which has a section This port is required by: for Libraries, where you can find the same information much quicker =).

These ports all need to have their PORTREVISION bumped [2]:

Examples of when PORTREVISION must be bumped:
  Version bump of a port's shared library dependency (in this case, someone trying to install the old package after installing a newer version of the dependency will fail since it will look for the old libfoo.x instead of libfoo.(x+1)).

[1] https://www.freshports.org/audio/libgig
[2] https://www.freebsd.org/doc/en/books/porters-handbook/book.html#makefile-portrevision

yuri marked an inline comment as done.Nov 19 2017, 9:20 PM
yuri added inline comments.
audio/libgig/pkg-plist
26 ↗(On Diff #35471)

Only one port: audio/linuxsampler
I was going to update it anyway.

tcberner added inline comments.Nov 19 2017, 9:23 PM
audio/libgig/pkg-plist
26 ↗(On Diff #35471)

also:

  • audio/gigedit
  • audio/qsampler

they both libdepend on libgig.

yuri marked 2 inline comments as done.Nov 19 2017, 9:27 PM
yuri added inline comments.
audio/libgig/pkg-plist
26 ↗(On Diff #35471)

Ah yes, 3 ports.

Should I include their bumps in this commit?

yuri marked 3 inline comments as done.Nov 19 2017, 9:27 PM

jop, one commit for all the [4] ports.

yuri updated this revision to Diff 35474.Nov 19 2017, 9:32 PM

Added PORTREVISION bumps to dependent ports.

I think audio/linuxsampler is broken by the libgig update.

yuri added a comment.EditedNov 19 2017, 9:41 PM

I think audio/linuxsampler is broken by the libgig update.

linuxsampler has a new version. They might be in sync. They are sourced from the same website.

In D13162#274043, @yuri wrote:

I think audio/linuxsampler is broken by the libgig update.

linuxsampler has a new version. They might be in sync.

Can you try to build it with the updated libgig to confirm whether it fails :) -- if so, you can include the update of it too.

yuri added a comment.Nov 19 2017, 9:45 PM
In D13162#274043, @yuri wrote:

I think audio/linuxsampler is broken by the libgig update.

linuxsampler has a new version. They might be in sync.

Can you try to build it with the updated libgig to confirm whether it fails :) -- if so, you can include the update of it too.

Yes, it breaks!

I will include its update too.

In D13162#274054, @yuri wrote:
In D13162#274043, @yuri wrote:

I think audio/linuxsampler is broken by the libgig update.

linuxsampler has a new version. They might be in sync.

Can you try to build it with the updated libgig to confirm whether it fails :) -- if so, you can include the update of it too.

Yes, it breaks!
I will include its update too.

thanks

yuri updated this revision to Diff 35481.Nov 20 2017, 12:49 AM

Added the audio/linuxsampler version update.
No other ports seem to depend on linuxsampler's libraries

yuri retitled this revision from audio/libgig: Update to 4.0.0 to audio/libgig: Update to 4.0.0; audio/linuxsampler: Update to 2.0.0; Bumped PORTRVISIONS of audio/gigedit audio/qsampler.Nov 20 2017, 12:52 AM
yuri edited the summary of this revision. (Show Details)
yuri retitled this revision from audio/libgig: Update to 4.0.0; audio/linuxsampler: Update to 2.0.0; Bumped PORTRVISIONS of audio/gigedit audio/qsampler to audio/libgig: Update to 4.0.0; audio/linuxsampler: Update to 2.0.0; Bumped PORTREVISIONs of audio/gigedit audio/qsampler.
yuri retitled this revision from audio/libgig: Update to 4.0.0; audio/linuxsampler: Update to 2.0.0; Bumped PORTREVISIONs of audio/gigedit audio/qsampler to audio/libgig: Update to 4.0.0; audio/linuxsampler: Update to 2.0.0; Bumped PORTREVISIONs of audio/gigedit, audio/qsampler.

audio/gigedit is marked broken. Have you checked if the update unbreaks it?

yuri added a comment.Nov 22 2017, 5:16 PM

audio/gigedit is marked broken. Have you checked if the update unbreaks it?

No, it doesn't unbreak it.

tcberner accepted this revision.Nov 22 2017, 5:29 PM

oki, you can't win every time :D

This revision is now accepted and ready to land.Nov 22 2017, 5:29 PM
This revision was automatically updated to reflect the committed changes.